Bug 504704 - dlfcn.h fails pedantic tests
dlfcn.h fails pedantic tests
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 17:44 EDT by Jeff Bastian
Modified: 2016-11-24 10:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 10239 None None None Never

  None (edit)
Description Jeff Bastian 2009-06-08 17:44:35 EDT
Description of problem:
dlfcn.h contains an extra comma at the end of the enum:

130 enum
131   {
...
167     RTLD_DI_MAX = 10,
168   };

This causes it to fail g++'s pedantic tests:

$ g++ -pedantic -c /usr/include/dlfcn.h -o /dev/null
/usr/include/dlfcn.h:167: error: comma at end of enumerator list


Version-Release number of selected component (if applicable):
glibc-2.5-36

How reproducible:
every time

Steps to Reproduce:
1. g++ -pedantic -c /usr/include/dlfcn.h -o /dev/null
  
Actual results:
error about extraneous comma

Expected results:
no errors

Additional info:
The problem exists in upstream glibc too.  It's reported upstream at
  http://sources.redhat.com/bugzilla/show_bug.cgi?id=10239
Comment 1 Issue Tracker 2009-06-09 12:03:30 EDT
Event posted on 2009-06-09 18:03 CEST by rdassen

This issue has now been fixed in the upstream git tree (commit
88ea382fda5af7717f85bb19837c9c99094f3df4).


This event sent from IssueTracker by rdassen 
 issue 303883
Comment 2 Jakub Jelinek 2009-06-09 14:14:07 EDT
The severity of this is very low (as you get this only when -Wsystem-headers or when including dlfcn.h as non-system header), but for RHEL5.5 this can be fixed.
Comment 13 errata-xmlrpc 2009-09-02 07:45:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1415.html

Note You need to log in before you can comment on or make changes to this bug.